import type { ToolbarsPreset } from '../../modules/toolbars/types';
import type { MToolbarData, MToolbarItemData, WToolbarData, WToolbarItemData } from '../../toolbar';
import type { MarkdownEditorViewProps } from '../MarkdownEditorView';
import { MarkdownEditorPreset } from '../types';
export declare const createConfig: <T extends MToolbarData | WToolbarData>(editorType: 'wysiwyg' | 'markup', toolbarPreset: ToolbarsPreset | MarkdownEditorPreset, toolbarName: string) => T;
interface GetToolbarsConfigsArgs {
    toolbarsPreset?: ToolbarsPreset;
    props: Pick<MarkdownEditorViewProps, 'markupToolbarConfig' | 'wysiwygToolbarConfig' | 'wysiwygHiddenActionsConfig' | 'markupHiddenActionsConfig'>;
    preset: MarkdownEditorPreset;
}
export declare const getToolbarsConfigs: ({ toolbarsPreset, props, preset }: GetToolbarsConfigsArgs) => {
    wysiwygToolbarConfig: WToolbarData;
    markupToolbarConfig: MToolbarData;
    wysiwygHiddenActionsConfig: WToolbarItemData[];
    markupHiddenActionsConfig: MToolbarItemData[];
};
export {};
